<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryCursor..::.MoveLast Method
SecondaryCursor Class See Also Send Feedback

Set the cursor to refer to the last key/data pair of the database, and store the secondary key and primary key/data pair in Current. If the last key has duplicate values, the last data item in the set of duplicates is stored in Current.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public bool MoveLast()

Visual Basic (Declaration)

    Public Function MoveLast As Boolean

Visual C++

    public:
    bool MoveLast()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

SecondaryCursor Class
MoveLast Overload
BerkeleyDB Namespace